CVE-2024-1451

CVSS 3.1 Score 8.7 of 10 (high)

Details

Published Feb 22, 2024
Updated: Mar 4, 2024
CWE ID 79

Summary

CVE-2024-1451 is a vulnerability discovered in GitLab CE/EE versions starting from 16.9 before 16.9.1. The vulnerability allows for a stored Cross-Site Scripting (XSS) attack on the client side through a crafted payload added to the user profile page. Attackers can exploit this vulnerability to perform arbitrary actions on behalf of victims. The base severity of this vulnerability is rated as high, with low privileges required and user interaction being necessary. The impact includes high integrity and confidentiality impacts, but no availability impact. The CVE ID is related to CWE-79 (Improper Neutralization of Input During Web Page Generation), indicating an improper handling of input leading to the XSS vulnerability in GitLab.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2024-1451 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options